require 'httparty'
require 'pry'

class Trailfinder
  include HTTParty

  def initialize
    @key = ENV['TRAILFINDER_API_KEY']
    @max_distance = 10
  end

  def get_trails(latitude:, longitude:)
    response = HTTParty.get("https://www.hikingproject.com/data/get-trails?lat=#{latitude}&lon=#{longitude}&maxDistance=#{@max_distance}&key=#{@key}")
    response['success'] == 1 ? response : []
  end

  def get_trails_by_id(ids)
    response = HTTParty.get("https://www.hikingproject.com/data/get-trails-by-id?ids=#{ids}&key=#{@key}")
    response['success'] == 1 ? response : []
  end
end